***

title: submitVerification
slug: /reference/typescript/rest/verified-callers/submit-verification
description: Submit a verification code to complete caller ID verification.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Submit the verification code received during the verification call or SMS.

<EndpointSchemaSnippet endpoint="PUT /api/relay/rest/verified_caller_ids/{id}/verification" />

## **Response Example**

<EndpointResponseSnippet endpoint="PUT /api/relay/rest/verified_caller_ids/{id}/verification" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

const result = await client.verifiedCallers.submitVerification("caller-id", {
    verification_code: "123456",
});
console.log("State:", result.verificationState);
```